Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.fornitura.vo.updatefornitura
Class FiltriRicercaUpdateFornituraRequest

    java.lang.Object
      it.svimservice.nsisr.web.ws.fornitura.vo.updatefornitura.FiltriRicercaUpdateFornituraRequest

    public class FiltriRicercaUpdateFornituraRequest

extends java.lang.Object

Dati utili alla ricerca di una fornitura in archivio. E' necessario valorizzare il codice dell'azienda sanitaria e almeno uno degli altri parametri di ricerca.

Field Summary
`private java.lang.String` | `codBeneServizio` Codice del Bene/Servizio oggetto di acquisto.
`private java.lang.String` | `codNazAziendaSanitaria` Codice nazionale dell’Azienda Sanitaria, elemento obbligatorio.
`private java.lang.String` | `dataDelibera` Data del contratto o del documento fonte contrattuale (data delibera).
`private java.lang.String` | `partitaIVA` Partita IVA del fornitore da cui è stato effettuato l’acquisto.
`private java.lang.String` | `siglaStatoUE` Sigla dello Stato membro dell’UE rilasciante la partita IVA del fornitore.

Constructor Summary
`FiltriRicercaUpdateFornituraRequest()`

Method Summary
`java.lang.String` | `getCodBeneServizio()`
`java.lang.String` | `getCodNazAziendaSanitaria()`
`java.lang.String` | `getDataDelibera()`
`java.lang.String` | `getPartitaIVA()`
`java.lang.String` | `getSiglaStatoUE()`
`void` | `setCodBeneServizio(java.lang.String codBeneServizio)`
`void` | `setCodNazAziendaSanitaria(java.lang.String codNazAziendaSanitaria)`
`void` | `setDataDelibera(java.lang.String dataDelibera)`
`void` | `setPartitaIVA(java.lang.String partitaIVA)`
`void` | `setSiglaStatoUE(java.lang.String siglaStatoUE)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codBeneServizio

    @Facets(maxLength=9L)
    private java.lang.String codBeneServizio

  Codice del Bene/Servizio oggetto di acquisto.

### codNazAziendaSanitaria

    @Facets(pattern="[0-9]+",
            maxLength=4L)
    private java.lang.String codNazAziendaSanitaria

  Codice nazionale dell’Azienda Sanitaria, elemento obbligatorio.

### dataDelibera

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    private java.lang.String dataDelibera

  Data del contratto o del documento fonte contrattuale (data delibera).

### partitaIVA

    @Facets(pattern="[0-9]*",
            length=13L)
    private java.lang.String partitaIVA

  Partita IVA del fornitore da cui è stato effettuato l’acquisto.

### siglaStatoUE

    @Facets(enumeration={"AT","BE","BG","CY","DK","EE","FI","FR","DE","GB","EL","IE","IT","LV","LT","LU","MT","NL","PL","PT","CZ","RO","SK","SI","ES","SE","HU"})
    private java.lang.String siglaStatoUE

  Sigla dello Stato membro dell’UE rilasciante la partita IVA del fornitore.

Constructor Detail

### FiltriRicercaUpdateFornituraRequest

    public FiltriRicercaUpdateFornituraRequest()

Method Detail

### getCodBeneServizio

    public java.lang.String getCodBeneServizio()

### getCodNazAziendaSanitaria

    public java.lang.String getCodNazAziendaSanitaria()

### getDataDelibera

    public java.lang.String getDataDelibera()

### getPartitaIVA

    public java.lang.String getPartitaIVA()

### getSiglaStatoUE

    public java.lang.String getSiglaStatoUE()

### setCodBeneServizio

    public void setCodBeneServizio(java.lang.String codBeneServizio)

### setCodNazAziendaSanitaria

    public void setCodNazAziendaSanitaria(java.lang.String codNazAziendaSanitaria)

### setDataDelibera

    public void setDataDelibera(java.lang.String dataDelibera)

### setPartitaIVA

    public void setPartitaIVA(java.lang.String partitaIVA)

### setSiglaStatoUE

    public void setSiglaStatoUE(java.lang.String siglaStatoUE)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD